class Emcee
  class MCNode
    attr_reader :name, :agents

    def initialize(name)
      @name = name
      @agents = []
    end

    def matches?(other)
      if other.respond_to?(:name)
        return name == other.name
      end
      name == other
    end

    def has_agent?(agent)
      agents.detect {|a| a.matches?(agent) }
    end

    def add_agent(agent)
      agents << agent unless has_agent?(agent)
    end

    def inspect
      YAML.dump(self)
    end
  end
end
