class NodeGroupBaseline < ActiveRecord::Base
  belongs_to :baseline
end

class NodeBaseline < ActiveRecord::Base
  belongs_to :baseline
end

class Baseline < ActiveRecord::Base
  has_many :resources, :class_name => "BaselineResource", :dependent => :destroy
end

class PluginPuppetBaselineUnifyBaselineTables < ActiveRecord::Migration
  def self.up
    NodeGroupBaseline.all.each do |gb|
      BaselineDifference.delete_all(:baseline_id => gb.baseline_id)
      gb.baseline.destroy if gb.baseline.present?
    end

    drop_table :node_group_baselines

    change_table :baselines do |t|
      t.integer :node_id
      t.date    :date
    end

    NodeBaseline.all.each do |nb|
      nb.baseline.update_attributes(:node_id => nb.node_id, :date => nb.date) if nb.baseline.present?
    end

    drop_table :node_baselines
  end

  def self.down
    raise ActiveRecord::IrreversibleMigration
  end
end
